// https://www.shadertoy.com/view/lst3Wn

float rand (in vec2 uv) { return fract(sin(dot(uv,vec2(12.4124,48.4124)))*48512.41241); }
const vec2 O = vec2(0.,1.);
float noise (in vec2 uv) {
    vec2 b = floor(uv);
    return mix(mix(rand(b),rand(b+O.yx),.5),mix(rand(b+O),rand(b+O.yy),.5),.5);
}

#define DIR_RIGHT -1.
#define DIR_LEFT 1.
#define DIRECTION DIR_LEFT

#define LAYERS 8
#define SPEED 40.
#define SIZE 5.



void main()
{
    vec2 uv = gl_FragCoord.xy / size.xy;
    
    
    float stars = 0.;
    float fl, s;
    for (int layer = 0; layer < LAYERS; layer++) {
        fl = float(layer);
        s = (400.-fl*20.);
        stars += step(.1,pow(noise(mod(vec2(uv.x*s + u_time*SPEED*DIRECTION - fl*100.,uv.y*s),size.x)),18.)) * (fl/float(LAYERS));
    }
    
    
    gl_FragColor = vec4( vec3(stars), 1.0 );
}
    
    
